Package org.silverpeas.components.resourcesmanager.model

## Class Reservation

- java.lang.Object
- - org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<E,​I>
  - - org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<Reservation,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>
    - - org.silverpeas.components.resourcesmanager.model.Reservation

- All Implemented Interfaces:
    `Serializable`, `ResourceStatus`, `org.silverpeas.core.persistence.datasource.model.IdentifiableEntity`

      @Entity
      public class Reservation
      extends org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<Reservation,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>
      implements ResourceStatus

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.components.resourcesmanager.model.ResourceStatus

      `STATUS_FOR_VALIDATION, STATUS_REFUSED, STATUS_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Reservation()` |
    `Reservation​(Long id, String event, Date beginDate, Date endDate, String reason, String place, String userId, Date creationDate, Date updateDate, String instanceId)` |
    `Reservation​(Long id, String event, Date beginDate, Date endDate, String reason, String place, String userId, Date creationDate, Date updateDate, String instanceId, String status)` |
    `Reservation​(String event, Date beginDate, Date endDate, String reason, String place)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Date` | `getBeginDate()` |
    `Date` | `getCreationDate()` |
    `Date` | `getEndDate()` |
    `String` | `getEvent()` |
    `Long` | `getIdAsLong()` |
    `String` | `getIdAsString()` |
    `String` | `getInstanceId()` |
    `String` | `getPlace()` |
    `String` | `getReason()` |
    `String` | `getStatus()` |
    `Date` | `getUpdateDate()` |
    `String` | `getUserId()` |
    `String` | `getUserName()` |
    `int` | `hashCode()` |
    `boolean` | `isRefused()` |
    `boolean` | `isValidated()` |
    `boolean` | `isValidationRequired()` |
    `void` | `performBeforePersist()` |
    `void` | `performBeforeUpdate()` |
    `void` | `setBeginDate​(Date beginDate)` |
    `void` | `setCreationDate​(Date creationDate)` |
    `void` | `setEndDate​(Date endDate)` |
    `void` | `setEvent​(String event)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setPlace​(String place)` |
    `void` | `setReason​(String reason)` |
    `void` | `setStatus​(String status)` |
    `void` | `setUpdateDate​(Date updateDate)` |
    `void` | `setUserId​(String userId)` |
    `void` | `setUserName​(String userName)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity

      `performBeforeRemove`

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity

      `getId, getNativeId, isPersisted, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Reservation

          public Reservation()

    - #### Reservation

          public Reservation​(String event,
                             Date beginDate,
                             Date endDate,
                             String reason,
                             String place)

    - #### Reservation

          public Reservation​(Long id,
                             String event,
                             Date beginDate,
                             Date endDate,
                             String reason,
                             String place,
                             String userId,
                             Date creationDate,
                             Date updateDate,
                             String instanceId)

    - #### Reservation

          public Reservation​(Long id,
                             String event,
                             Date beginDate,
                             Date endDate,
                             String reason,
                             String place,
                             String userId,
                             Date creationDate,
                             Date updateDate,
                             String instanceId,
                             String status)

  - ### Method Detail

    - #### performBeforePersist

          public void performBeforePersist()

      Overrides:
        `performBeforePersist` in class `org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<Reservation,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

    - #### performBeforeUpdate

          public void performBeforeUpdate()

      Overrides:
        `performBeforeUpdate` in class `org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<Reservation,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName​(String userName)

    - #### getCreationDate

          public Date getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(Date creationDate)

    - #### getIdAsLong

          public Long getIdAsLong()

    - #### getIdAsString

          public String getIdAsString()

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getUpdateDate

          public Date getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate​(Date updateDate)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId​(String userId)

    - #### getBeginDate

          public Date getBeginDate()

    - #### setBeginDate

          public void setBeginDate​(Date beginDate)

    - #### getEndDate

          public Date getEndDate()

    - #### setEndDate

          public void setEndDate​(Date endDate)

    - #### getEvent

          public String getEvent()

    - #### setEvent

          public void setEvent​(String event)

    - #### getPlace

          public String getPlace()

    - #### setPlace

          public void setPlace​(String place)

    - #### getReason

          public String getReason()

    - #### setReason

          public void setReason​(String reason)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus​(String status)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<Reservation,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<Reservation,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

    - #### isValidated

          public boolean isValidated()

    - #### isRefused

          public boolean isRefused()

    - #### isValidationRequired

          public boolean isValidationRequired()